Page MenuHomePhabricator

CSS hooks in output (tracking)
Closed, InvalidPublic

Description

Gentlemen,

We clearly do not have enough classes on our output. See bug 5722, bug 5874, bug 6104, bug 8140, bug 9174, bug 10052, bug 11005, bug 12509, bug 13242, bug 14247, bug 14549, bug 15729, bug 17666, bug 18704, bug 22770. Clearly we need more. Suggest this bug as a blocker to the next release.


Version: 1.17.x
Severity: enhancement

Details

Reference
bz22771

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:02 PM
bzimport set Reference to bz22771.
bzimport added a subscriber: Unknown Object (MLST).
demon created this task.Mar 8 2010, 6:54 PM

ayg wrote:

WONTFIX this and all dependencies? :)

happy.melon.wiki wrote:

Fat chance.

demon added a comment.Mar 14 2010, 4:39 PM

(In reply to comment #1)

WONTFIX this and all dependencies? :)

+1.

rene.kijewski wrote:

(In reply to comment #1)

WONTFIX this and all dependencies? :)

Show some respect!
If you developers want users to make suggestions, than don't put a ":)" after a comment demonstrating your dislike for users' input. Otherwise simply close the open bug tracking system.

ayg wrote:

(In reply to comment #4)

Show some respect!
If you developers want users to make suggestions, than don't put a ":)" after a
comment demonstrating your dislike for users' input. Otherwise simply close the
open bug tracking system.

You can file bugs, which gives us a place to look at them. That doesn't mean we'll agree with all of them -- that's why the WONTFIX resolution exists.

We already have too many classes in some places, and there's really no limit to how many classes we could add to the output. If we added classes every time a user asked for it, our output would become horrifyingly bloated over time. Best not to go there, and to add no new classes unless there's a very clear reason.

rene.kijewski wrote:

(In reply to comment #5)

(In reply to comment #4)

Show some respect!
If you developers want users to make suggestions, than don't put a ":)" after a
comment demonstrating your dislike for users' input. Otherwise simply close the
open bug tracking system.

You can file bugs, which gives us a place to look at them. That doesn't mean
we'll agree with all of them -- that's why the WONTFIX resolution exists.
We already have too many classes in some places, and there's really no limit to
how many classes we could add to the output. If we added classes every time a
user asked for it, our output would become horrifyingly bloated over time.
Best not to go there, and to add no new classes unless there's a very clear
reason.

I simply meant the way it was rejected ... There is no need for a cynical ":)".

Renaming from 'CSS classes' to 'CSS hooks' as IDs are included as well.

demon removed a subscriber: demon.Aug 19 2015, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2015, 5:23 PM
Meno25 removed a subscriber: Meno25.Feb 19 2016, 5:46 PM
Krinkle removed a subscriber: Krinkle.Jul 29 2016, 8:08 PM
Izno added a subscriber: Izno.

I added the CSS project to all of the remaining open tasks on this. I think this is a reasonable "close", given how few tasks were actually tracked here.

Izno closed this task as Declined.Sep 7 2018, 4:43 PM
Izno changed the task status from Declined to Invalid.